<template>
  <div class="container">
    <h2>Grafico de Chamados por mês</h2>

    <h1>Vue Select</h1>
    <v-select :options="books" @input="filterMonth"  label="title"></v-select>
    <GChart  type="PieChart" :data="lcomponentes"  />
  </div>
</template>

<script>
import vSelect from "vue-select";
import "vue-select/dist/vue-select.css";
import { GChart } from "vue-google-charts";
import axios from "axios";
export default {
  components: {
    GChart,
    vSelect
  },
  data() {
    return {
      // Array will be automatically processed with visualization.arrayToDataTable function

      lcomponentes: [["status", "quantidade"]],
      books: [
        { title: "janeiro", value: 1},
        { title: "fevereiro", value: 2},
        { title: "março", value: 3},
        { title: "abril" , value: 4},
        { title: "maio", value: 5},
        { title: "junho", value: 6},
        { title: "julho", value: 7},
        { title: "agosto", value: 8},
        { title: "setembro", value: 9},
        { title: "outubro", value: 10},
        { title: "novembro", value: 11},
        { title: "dezembro", value: 12}
      ]
    };
  },
  methods: {
    convertStatus(status) {
      let intMonth;
      switch (parseInt(status)) {
        case 1:
          intMonth = "Criado";
          break;
        case 2:
          intMonth = "Em bancada";
          break;
        case 3:
          intMonth = "Orçamento Enviado";
          break;
        case 4:
          intMonth = "Orçamento Aprovado";
          break;
        case 5:
          intMonth = "Orçamento Reprovado";
          break;
        case 6:
          intMonth = "Não Aprovado, aguardando retirada";
          break;
        case 7:
          intMonth = "Aprovado, aguardando retirada";
          break;
        case 8:
          intMonth = "Aprovado, retirado";
          break;
        case 9:
          intMonth = "Não Aprovado, retirado";
          break;
        case 10:
          intMonth = "Pago, Aguardando retirada";
          break;
        default:
          intMonth = "desconhecido";
      }
      return intMonth;
    },


    filterMonth(value) {
      console.log(value)
  
      axios
        .get(this.$MainURL + "/chamadosmonth/" + value.value, {
          headers: {
            Authorization: `Bearer ${localStorage.getItem("token")}`,
          },
        })
        .then((response) => {
          const chamado = response.data;
          this.lcomponentes.length =0
          this.lcomponentes= [["status", "quantidade"]]        
          chamado.forEach((chamado) => {
            this.lcomponentes.push([
              this.convertStatus(chamado.status),
              chamado.id,
            ]);
          });
        });
    },
  },
};
</script>

<style scoped></style>
